
%global group_id  args4j

Name:             args4j-site
Version:          2.0.16
Release:          1%{?dist}
Summary:          Parent POM file for args4j
License:          MIT and BSD
Group:            Development/Libraries

URL:              http://args4j.java.net/
# svn export https://svn.java.net/svn/args4j~svn/tags/args4j-site-2_0_16/pom.xml args4j-site-2.0.16.pom
Source0:          %{name}-%{version}.pom

Patch0:           %{name}-wagon-svn-removal.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
This package contains the parent pom file for args4j projects.

%prep
%setup -q -c -T

cp %{SOURCE0} ./

%patch0

%build

%install
# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap %{group_id} %{name} %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Mon May 23 2011 Jaromir Capik <jcapik@redhat.com> - 2.0.16-1
- Initial version of the package
